function init(hero) {
    hero.setName("Iron Man");
	  hero.setVersion("Hulkbuster Armor");
    hero.setTier(10);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.leggings");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("pack:hulkbuster","fiskheroes:metal_skin", "fiskheroes:bullet_immunity", "pack:unibeam","fiskheroes:superhuman_durability",  "fiskheroes:explosion_immunity");
   

   hero.addAttribute("WEAPON_DAMAGE", 31.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 37.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 180.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 3.25, 0);
    hero.addAttribute("SPRINT_SPEED", -0.4, 1);
    hero.addAttribute("STEP_HEIGHT", 0.2, 0);
	
    hero.addKeyBind("AIM", "Aim Repulsor", 1);
    hero.addKeyBind("CHARGED_BEAM", "Unibeam", 3);
    hero.addKeyBind("SHIELD", "Repulsor Field", 4);
    hero.addKeyBind("UTILITY_BELT", "Launch Bombs", 5);
    
    hero.setHasProperty(hasProperty);
    hero.supplyFunction("canAim", canAim);
    
    hero.addSoundEvent("AIM_START", "fiskheroes:repulsor_charge");
    hero.addSoundEvent("AIM_STOP", "fiskheroes:repulsor_powerdown");
    hero.addSoundEvent("STEP", "fiskheroes:iron_man_walk");
	   hero.setDefaultScale(1.65);
}


function hasProperty(entity, property) {
    return property == "BREATHE_SPACE" ;
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty() && !entity.getData("fiskheroes:jetpacking");
}


//non axe/sword- #*((100+Attack)/100)+Punch
